# You may not remove this header!
#
# -----------------------------------------------------------------------------------------------------------------------
# 'createdb.sql' script code was made by Paulo Correia - FSAcars Team ()2003
# It's part of the FSAcars 2 for VA's package 
#
# This script assumes that the VA has a MySQL database on it's site
# ----------------------------------------------------------------------------------------------------------------------
#
# FSACARS is distributed freely.
#
# Disclaimer
# Although this product has been intensively tested, the authors accepts no responsibility for any damages caused by the use or misuse of this
# software. This software is distributed 'as is' with no warranty expressed or implied. The authors will not be responsible for any losses incurred, either directly or indirectly, by the use of this software.
# Use this software entirely at your own risk. If you do not agree to these terms then you must not use this software.
#
# Copyright
# This software is a copyrighted program. AIBridge is a copyright of Jos Oliveira. FSACARS coding is a copyright of Jos Oliveira. FSACARS concept was idealized by Pedro Sousa.
# It is protected by international copyright laws.
 
#
# Table structure for table `pilots`
#

CREATE TABLE pilots (
  pilot_id int(11) NOT NULL auto_increment,
  pilot_num varchar(15) NOT NULL default '',
  name varchar(255) NOT NULL default '',
  city varchar(30) NOT NULL default '',
  country varchar(30) NOT NULL default '',
  email varchar(255) NOT NULL default '',
  admission_date date NOT NULL default '0000-00-00',
  status varchar(30) NOT NULL default '',
  PRIMARY KEY  (pilot_id),
  UNIQUE KEY pilot_key (pilot_num)
) TYPE=MyISAM;

#
# Dumping data for table `pilots`
#

INSERT INTO pilots VALUES (1, 'TST001', 'Test Pilot', 'Lisbon', 'Portugal', 'test@fsacars.org', '2003-04-04 10:59:36', 'Active');
# --------------------------------------------------------


#
# Table structure for table `reports`
#

CREATE TABLE reports (
  report_id int(11) NOT NULL auto_increment,
  pilot_id smallint(6) NOT NULL default '0',
  date date NOT NULL default '0000-00-00',
  time time NOT NULL default '00:00:00',
  callsign varchar(10) default NULL,
  origin_id varchar(4) NOT NULL default '0',
  destination_id varchar(4) NOT NULL default '0',
  registration varchar(10) default NULL,
  equipment varchar(10) default NULL,
  duration time NOT NULL default '00:00:00',
  fuel smallint(6) NOT NULL default '0',
  distance smallint(6) NOT NULL default '0',
  fsacars_rep_url text NOT NULL,
  PRIMARY KEY  (report_id),
  UNIQUE KEY report_id (report_id),
  UNIQUE KEY xpk_reports (report_id),
  KEY xi_reports (pilot_id)
) TYPE=MyISAM;
